Bug 42532

Summary: Auto-generate the JS bindings for WebKitTestRunner's script objects
Product: WebKit Reporter: Sam Weinig <sam>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: aroben, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on: 42575    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch 2 aroben: review+

Description Sam Weinig 2010-07-18 18:16:16 PDT
Auto-generate the JS bindings for WebKitTestRunner's script objects. It will make it easier to add more.
Comment 1 Sam Weinig 2010-07-18 18:16:51 PDT
Created attachment 61922 [details]
Patch
Comment 2 WebKit Review Bot 2010-07-18 18:21:19 PDT
Attachment 61922 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style']" exit_code: 1
WebKitTools/WebKitTestRunner/InjectedBundle/Bindings/JSWrapper.cpp:26:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
Total errors found: 1 in 14 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Adam Barth 2010-07-19 02:06:47 PDT
Comment on attachment 61922 [details]
Patch

I really like the idea behind this patch.  I wanted to review it, but it was made of Perl.  :)
Comment 4 Adam Roben (:aroben) 2010-07-19 09:35:54 PDT
Comment on attachment 61922 [details]
Patch

It looks like _nullStringPolicy isn't needed. It's only called in one place, and its result is never used.

It looks like _monthDayYearString isn't needed.

What about Windows?

Maybe JSWrapper should be a namespace rather than a class?

r=me other than those concerns.
Comment 5 Adam Roben (:aroben) 2010-07-19 09:40:06 PDT
Comment on attachment 61922 [details]
Patch

Also, have you thought about hooking this into the test system in WebCore/bindings/scripts/test?
Comment 6 Sam Weinig 2010-07-19 14:31:57 PDT
Created attachment 61992 [details]
Patch 2
Comment 7 WebKit Review Bot 2010-07-19 14:33:41 PDT
Attachment 61992 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style']" exit_code: 1
WebKitTools/WebKitTestRunner/InjectedBundle/Bindings/JSWrapper.cpp:26:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
Total errors found: 1 in 17 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 8 Adam Roben (:aroben) 2010-07-19 14:39:31 PDT
Comment on attachment 61992 [details]
Patch 2

r=me
Comment 9 Eric Seidel (no email) 2010-07-22 18:43:33 PDT
Comment on attachment 61922 [details]
Patch

Cleared Adam Roben's review+ from obsolete attachment 61922 [details] so that this bug does not appear in http://webkit.org/pending-commit.